#include<bits/stdc++.h>
using namespace std;

#define ll long long

void solve()
{
	ll n, m, k;
	cin >> n >> m >> k;


	ll d = n / k; // delimo u svaku grupu jednak broj ucenika
	ll visak = n % k; // ovoliko grupa ce imati d+1 ucenika

	ll suma1 = (d + 1) * (d + 2) / 2; // suma za grupe sa d+1 ucenika
	ll suma2 = d * (d + 1) / 2; // suma za grupe sa d ucenika

    // imacemo ukupno k grupa, od cega visak grupa
    // ce imati d+1 ucenika a k - visak grupa ce imati d ucenika
	if (m >= visak * suma1 + (k - visak) * suma2){
		cout << "Tak\n";
	}
	else {
		cout << "Nie\n";
	}
}

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);

	int t;
	cin >> t;
	while(t--) {
		solve();
	}

	return 0;
}